# ChangeLog for sys-libs/uclibc
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-libs/uclibc/ChangeLog,v 1.15 2006/01/27 01:05:51 vapier Exp $

  27 Jan 2006; Mike Frysinger <vapier@gentoo.org> uclibc-0.9.28.ebuild:
  Stabilize, add a few minor bugfixes, and add support for USE=savedconfig.

  25 Nov 2005; <solar@gentoo.org> uclibc-0.9.28.ebuild:
  - the __uClibc_start_main is becoming a problem for users thus we need to
  check the bins before allowing them to have uclibc-compat disabled

  13 Nov 2005; <solar@gentoo.org> uclibc-0.9.28.ebuild:
  - moredefs..

  07 Nov 2005; <solar@gentoo.org> uclibc-0.9.28.ebuild:
  Enabled DL_FINI_CRT_COMPAT by default

  05 Sep 2005; Mike Frysinger <vapier@gentoo.org> uclibc-0.9.27.ebuild,
  uclibc-0.9.27-r1.ebuild:
  Fix optimized strn functions so nano stops crashing #95395.

*uclibc-0.9.28 (18 Aug 2005)

  18 Aug 2005; Mike Frysinger <vapier@gentoo.org> +uclibc-0.9.28.ebuild:
  Version bump.

  05 Aug 2005; Mike Frysinger <vapier@gentoo.org> uclibc-0.9.27.ebuild,
  uclibc-0.9.27-r1.ebuild:
  Add patch by Yuri Vasilevski to fix FPU endian on arm #75585.

  29 Jul 2005; Mike Frysinger <vapier@gentoo.org> uclibc-0.9.27.ebuild,
  uclibc-0.9.27-r1.ebuild:
  Update patchset to include armeb stat and getent fixes.

*uclibc-0.9.27-r1 (18 Jun 2005)

  18 Jun 2005; Mike Frysinger <vapier@gentoo.org> +uclibc-0.9.27-r1.ebuild:
  New testing version by psm with partial locale support.

  18 Jun 2005; Mike Frysinger <vapier@gentoo.org> uclibc-0.9.27.ebuild:
  Add patches from upstream to fix arm/TEXTRELs and remove the duplicated
  pthread_atfork() prototype from unistd.h.

  21 Apr 2005; <solar@gentoo.org> files/getent, uclibc-0.9.27.ebuild:
  - update getent script in FILESDIR

  17 Jan 2005; Mike Frysinger <vapier@gentoo.org> uclibc-0.9.26-r8.ebuild,
  uclibc-0.9.27.ebuild:
  Make sure uclibc doesnt destroy glibc hosts (sorry solar!) and fix
  src_test() so it actually works.

*uclibc-0.9.27 (14 Jan 2005)

  14 Jan 2005; Mike Frysinger <vapier@gentoo.org> +uclibc-0.9.27.ebuild:
  Version bump.

  11 Jan 2005; Mike Frysinger <vapier@gentoo.org> uclibc-0.9.26-r8.ebuild:
  Merge psm & my cross compile work together and BAM we have a sweet ebuild.

  14 Dec 2004; <solar@gentoo.org> uclibc-0.9.26-r8.ebuild:
  - Improved hardened handling bug 73699. Initial support for xattr.

  10 Nov 2004; <solar@gentoo.org> uclibc-0.9.26-r8.ebuild:
  uclibc updates

*uclibc-0.9.26-r8 (06 Nov 2004)

  06 Nov 2004; Mike Frysinger <vapier@gentoo.org> +uclibc-0.9.26-r8.ebuild:
  Add the ability to select CPU/endian type #69871.

  28 Oct 2004; <solar@gentoo.org> uclibc-0.9.26-r7.ebuild:
  uclibc-0.9.26-r7 marked stable for x86/arm/ppc/mips. 30 days in ~arch,
  security changes only which mark unsecvars stable

  13 Oct 2004; <solar@gentoo.org> files/0.9.26/ssp.c:
  more updates to ssp.c

  12 Oct 2004; <solar@gentoo.org> files/0.9.26/ssp.c:
  reverting to old ssp behavior

*uclibc-0.9.26-r7 (28 Sep 2004)

  28 Sep 2004; <solar@gentoo.org>
  +files/0.9.26/uClibc-20040921-ldso-unsecvars.patch,
  +files/0.9.26/unsecvars.h, +uclibc-0.9.26-r7.ebuild:
  added unsecvars handling to uclibc. testing ground here and going mainline
  afterwords

  06 Sep 2004; Ciaran McCreesh <ciaranm@gentoo.org> uclibc-0.9.26-r3.ebuild,
  uclibc-0.9.26-r4.ebuild, uclibc-0.9.26-r5.ebuild, uclibc-9999.ebuild:
  Switch to use epause and ebeep, bug #62950

*uclibc-9999 (25 Aug 2004)

  25 Aug 2004; Mike Frysinger <vapier@gentoo.org>
  +uclibc-9999.ebuild:
  CVS ebuild to make our (well mine at least) lives easier.

  19 Aug 2004; <solar@gentoo.org> uclibc-0.9.26-r1.ebuild,
  uclibc-0.9.26-r2.ebuild, uclibc-0.9.26-r3.ebuild, uclibc-0.9.26-r4.ebuild,
  uclibc-0.9.26-r5.ebuild:
  update RDEPEND. bug 60911

  09 Aug 2004; Mike Frysinger <vapier@gentoo.org>
  +files/0.9.26/uclibc-0.9.26-ldso-cache.patch, uclibc-0.9.26-r5.ebuild:
  Add a small patch to allow loading of ELF_LIBC0 libraries.

  09 Aug 2004; Mike Frysinger <vapier@gentoo.org>
  +files/0.9.26/uclibc-0.9.26-resolve-segfault.patch, uclibc-0.9.26-r5.ebuild:
  Add a homebrewed patch to fix the bug with gethostname() which didnt setup the
  h_aliases data.

*uclibc-0.9.26-r5 (09 Aug 2004)

  09 Aug 2004; <solar@gentoo.org> uclibc-0.9.26-r5.ebuild:
  version bump requested by spanky

  06 Aug 2004; Mike Frysinger <vapier@gentoo.org>
  +files/0.9.26/arm-ucontext.patch, uclibc-0.9.26-r4.ebuild:
  Make sure arm/ucontext.h includes the right context files and fix the ld utils
  to properly read/write /etc/ld.so.* files.

*uclibc-0.9.26-r4 (30 Jul 2004)

  30 Jul 2004; <solar@gentoo.org> uclibc-0.9.26-r4.ebuild:
  updated the cvs snapshot so we can get some header updates

  13 Jul 2004; <solar@gentoo.org> uclibc-0.9.26-r3.ebuild:
  paying respect to mjn3 and his DEDICATION to his wife in the docs

*uclibc-0.9.26-r3 (12 Jul 2004)

  12 Jul 2004; <solar@gentoo.org> uclibc-0.9.26-r3.ebuild,
  files/0.9.26/uclibc-0.9.26-noexecstack.patch:
  more uclibc updates from Peter S. Mazinger

  05 Jul 2004; <solar@gentoo.org> uclibc-0.9.21.ebuild,
  uclibc-0.9.26-r1.ebuild, uclibc-0.9.26-r2.ebuild, files/getent:
  added getent which is a shell replacement (uclibc does not have it, but
  ebuild.sh uses it. So we need it!

  01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org> uclibc-0.9.21.ebuild,
  uclibc-0.9.26-r1.ebuild, uclibc-0.9.26-r2.ebuild:
  virtual/glibc -> virtual/libc

  27 Jun 2004; <solar@gentoo.org> uclibc-0.9.21.ebuild,
  uclibc-0.9.26-r1.ebuild, uclibc-0.9.26-r2.ebuild:
  updated PROVIDES for virtual/libc

*uclibc-0.9.26-r2 (23 Jun 2004)

  23 Jun 2004; <solar@gentoo.org> uclibc-0.9.26-r2.ebuild,
  files/0.9.26/uclibc-0.9.26-arm-dl-sysdep.patch:
  Added patch for ARCH=arm to prevent a static inlines from being included more
  than one time. sent patch upstream

  22 Jun 2004; <solar@gentoo.org> files/0.9.26/ssp.c,
  files/0.9.26/uClibc-20040613-do_rem.patch,
  files/0.9.26/uclibc-0.9.26-ssp-gcc34-after-frandom.patch:
  major uclibc cleanups. New IUSE= flags and functionality

  26 May 2004; Mike Frysinger <vapier@gentoo.org>
  +files/0.9.26/arm-fix-missing-syscalls.patch, uclibc-0.9.26-r1.ebuild:
  Add patch to allow arm building

  01 Feb 2004; <solar@gentoo.org> uclibc-0.9.23.ebuild,
  uclibc-0.9.26-r1.ebuild, uclibc-0.9.26.ebuild:
  The etdyn local use flag has been renamed to pie (Position Independent
  Executable) Removed old ebuilds.. Keeping 0.9.21 as stable till Gentoo has a
  working uClibc toolchain in place

*uclibc-0.9.26-r1 (08 Jan 2004)

  08 Jan 2004; <solar@gentoo.org> uclibc-0.9.26-r1.ebuild,
  files/0.9.26/uClibc-0.9.26-Makefile.patch,
  files/0.9.26/uClibc-0.9.26-pie-option.patch:
  Attached is one patch needed to really enable FORCE_SHAREABLE_SEGMENTS 
  option, the other is to build uclibc against the installed kernel-headers 
  (not kernel-source) - Peter S. Mazinger gentoo-embedded mailing list.

*uclibc-0.9.26 (04 Jan 2004)

  04 Jan 2004; <solar@gentoo.org> uclibc-0.9.25-r1.ebuild,
  uclibc-0.9.25.ebuild, uclibc-0.9.26.ebuild:
  version bump.. there was a pthread bug that slipped though uclibc.org testing

*uclibc-0.9.25-r1 (04 Jan 2004)

  04 Jan 2004; <solar@gentoo.org> uclibc-0.9.21.ebuild, uclibc-0.9.23.ebuild,
  uclibc-0.9.25-r1.ebuild, uclibc-0.9.25.ebuild:
  added back etdyn/pie support for x86. If -fstack-protector is in the users
  CFLAGS then let uclibc provide __guard symbols

*uclibc-0.9.25 (03 Jan 2004)

  03 Jan 2004; Mike Frysinger <vapier@gentoo.org> :
  Version bumpage #36235.  Patches no longer needed since they've all been
  integrated upstream.

*uclibc-0.9.23 (15 Nov 2003)

  21 Nov 2003; <solar@gentoo.org> metadata.xml:
  update metadata.xml

  21 Nov 2003; <solar@gentoo.org> uclibc-0.9.22.ebuild,
  files/uClibc-0.9.22-etdyn.patch, files/uClibc-0.9.22-pax.patch,
  files/0.9.23/uClibc-0.9.23-etdyn.patch,
  files/0.9.23/uClibc-0.9.23-flipturn.patch:
  updated etdyn patches. no major functional changes to revision bump, removed
  buggy 0.9.22 code from portage

  15 Nov 2003; <solar@gentoo.org> uclibc-0.9.23.ebuild,
  files/0.9.23/uClibc-0.9.23-etdyn.patch,
  files/0.9.23/uClibc-0.9.23-flipturn.patch,
  files/0.9.23/uClibc-0.9.23-pax.patch:
  version bump, 0.9.22 was braindead.. In this release we continue support for
  PaX etdyn executabes thanks to the PaX Team and Peter S. Mazinger as well as
  add a small patch that was submited to the uClibc by Rob McMullen

*uclibc-0.9.22 (11 Nov 2003)

  11 Nov 2003; <solar@gentoo.org> uclibc-0.9.22.ebuild,
  files/uClibc-0.9.22-etdyn.patch, files/uClibc-0.9.22-pax.patch:
  version bump, this ebuild includes experimental pax-etdyn support for uclibc
  when local use flag etdyn is used

  04 Oct 2003; <solar@gentoo.org> uclibc-0.9.21.ebuild:
  marking stable on x86, and added a metadata.xml

*uclibc-0.9.21 (10 Sep 2003)

  30 Sep 2003; Joshua Kinard <kumba@gentoo.org> uclibc-0.9.21.ebuild:
  Added ~sparc & ~mips to KEYWORDS
  Useful for building our netboot images with

  10 Sep 2003; <solar@gentoo.org> uclibc-0.9.21.ebuild:
  andersee is pleased to announce the immediate availability of uClibc 0.9.21.
  This release has been brewing for several months now, and provides quite a lot
  of additional functionality as well as quite a few bug fixes. The biggest
  thing in this release (and I do mean that literally) is that uClibc now has
  full ANSI/ISO C99 locale support. The most interesting thing for uClinux are
  the additional config options that will let you tune the library to be even
  smaller, for example, by disabling all the strerror() messages.

*uclibc-0.9.20 (09 Jul 2003)

  09 Jul 2003; Mike Frysinger <vapier@gentoo.org> :
  Version bumpage.

*uclibc-0.9.19 (19 Jun 2003)

  19 Jun 2003; Mike Frysinger <vapier@gentoo.org> :
  Version bump #15579 thanks to David Bryson <mutex@kerneli.org>.

*uclibc-0.9.16 (11 Nov 2002)

  25 May 2003; Martin Holzer <mholzer@gentoo.org> uclibc-0.9.16.ebuild:
  now uses mirror://kernel

  11 Nov 2002; Mike Frysinger <vapier@gentoo.org> :
  Initial import.  Ebuild submitted by me.
